<?php
if (!defined('ABSPATH')) exit;

$nonce = wp_create_nonce('s123_security');
?>

<div class="tab-container">
    <div>
        <h3><?php echo __("Saskaita123.lt API Key", "s123-invoices") ?></h3>
    </div>

    <form method="post" id="apiKeySubmitForm">
        <div class="s123-form__group">
            <label for="s123_api_key"><?php echo __("API Key", "s123-invoices") ?></label>
            <div>
                <input
                        type="password"
                        class="s123-form__control"
                        id="s123_api_key"
                        name="api_key"
                        value="<?php echo esc_attr($this->s123_get_option('api_key')); ?>"
                >
                <button
                        type="button"
                        id="showApiKey"
                        style="margin-top: 5px;"
                >
                    <?php echo __("Show API Key", "s123-invoices") ?>
                </button>
            </div>
        </div>

        <input type="hidden" name="action" value="s123_submit_api_key">
        <input type="hidden" name="s123_security" value="<?php echo esc_attr($nonce); ?>">
        <button type="submit" class="s123-btn s123-btn__primary"><?php echo __("Save", "s123-invoices") ?></button>
    </form>
</div>
