<?php
/**
 * @link https://www.saskaita123.lt
 * @package Saskaita123Plugin
 */

namespace S123\Includes\Base;

if (!defined('ABSPATH')) exit;

class S123_Activate
{
    public static function s123_activate()
    {
        static::s123_init_options();
    }

    public static function s123_init_options()
    {
        add_option('s123-invoices', [
            'api_key' => '',
            'api_series' => '',
            'api_banks' => '',
            'use_invoice_vats' => '',
            'api_vats' => '',
            'api_units' => '',
            'invoice_issued_by' => '',
            'use_activities' => '',
            'api_activities' => '',
            'use_custom_inputs' => false,
        ]);
    }
}
